<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
    document.location.href = "reg.php?err_login=1";
  </script>
  <?php
  exit();
}

$log_id = abs(intval($_SESSION['id']));
$query_ch = "Select money from users where id = '$log_id'";
$result_ch = mysqli_query($dbc, $query_ch) or die ('Ошибка передачи запроса к БД'); 
$row_ch = mysqli_fetch_array($result_ch);
$clan_ch = $row_ch['clan'];
$money = $row_ch['money'];
if ($money<5000) {
  header ('Location: settings.php?error=1');
  exit();
}
  ////////////////////////////////////////////////////////////
  if (!empty($_POST['change'])) {
$nick = filter($_POST['nick']);
	$sgn = '#^[А-ЯA-Zа-яa-z]#';
    $en = '#[a-zA-Z]#';
    $rus = '#[а-яА-Я]#';
	if ((empty($nick)) or (!isset($nick))){
	$err=1;
	}
	else {
      $query = "Select * from users where nick = '$nick' limit 1";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row != 0) {

	    $err = 2;
	  }
	  $long_nick = strlen($nick);
      
	  if (($long_nick<3) or ($long_nick>20)){
	    $err = 3;
	  }
      if ((preg_match($en, $nick)) and (preg_match($rus, $nick))) {

        $err = 4;
      }//Проверяем на Рус англ
      if (!preg_match($sgn, $nick)) {
        $err = 5;
      }
    }
	if ($err == 0) {
	
	  $nick = strtr ($nick,  'АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯQWERTYUIOPASDFGHJKLZXCVBNM_абвгдеёжзийклмнопрстуфхцчшщъыьэюяqwertyuiopasdfghjklzxcvbnm_', 'АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯQWERTYUIOPASDFGHJKLZXCVBNM_абвгдеёжзийклмнопрстуфхцчшщъыьэюяqwertyuiopasdfghjklzxcvbnm_');
$query = "update users set nick = '$nick', money=money-5000 where id = '$log_id' limit 1";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  header ('Location: settings.php?error=2');
      exit();
	}
  }
  ////////////////////////////////////////////////////////////
  $page_title = 'Сменить ник';
  require_once('conf/head.php');
  require_once('conf/top.php');
  ?>
<br/><center><p class="name2">Смена ника</p></center>
  <?php if(!empty($err)) {?><div id="error">
   <?php if ($err==1) {echo 'Вы не ввели ник';}?>
   <?php if ($err==2) {echo 'Такой ник уже есть';}?>
   <?php if ($err==3) {echo 'Ник должен быть в пределах от 3 до 20 символов';}?>
   <?php if ($err==4) {echo 'Ник должен содержать только русские или английские буквы';}?>
   <?php if ($err==5) {echo 'Имеются запрещенные символы или цифры в нике';}?>
   </div><?php } ?>
   <div class="stats">
   <p>Новый ник:</p>
   <form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
	 <input type="text" style="height:25px;" style="width:70px;" class="input" name="nick" />
	 <div class="knopka">
     <input type="submit" class="input" value="Сменить" name="change"/>
     </div>
	 </form>

  </div>
  <?php  
   require_once('conf/navig.php');
   require_once('conf/foot.php'); 
//////////////////////////////////////////////  
mysqli_close($dbc);
?>